System requirements

The following system requirements are needed to correctly install and run Net iD Portal.

Web service

Net iD Portal shall be installed on a web server included in the environment hierarchy.

The following service must be installed on the web server:

  • Microsoft Internet Information Services.

The following platforms can be used as a web server (Microsoft Internet Information Services is included in all platforms):

  • Microsoft Windows Server 2012 R2, Standard

  • Microsoft Windows Server 2016, Standard

  • Microsoft Windows Server 2016, Datacenter

  • Microsoft Windows Server 2019, Standard

  • Microsoft Windows Server 2019, Datacenter

Net iD Portal requires that one of the following versions of .NET framework is installed on the web server (.NET Framework can be downloaded from the Microsoft.com web page):

  • Microsoft .NET Framework 4.7.2

Different versions of .NET Framework are included, or can be installed, on Windows Server.

Database service

Net iD Portal requires two databases to store and access all information and settings in the application. Net iD Portal supports the following database services:

  • Microsoft SQL Server 2012 Express

  • Microsoft SQL Server 2012 Standard

  • Microsoft SQL Server 2012 Enterprise

  • Microsoft SQL Server 2014 Express

  • Microsoft SQL Server 2014 Standard

  • Microsoft SQL Server 2014 Enterprise

  • Microsoft SQL Server 2016 Express

  • Microsoft SQL Server 2016 Standard

  • Microsoft SQL Server 2016 Enterprise

  • Microsoft SQL Server 2017 Express

  • Microsoft SQL Server 2017 Standard

  • Microsoft SQL Server 2017 Enterprise

  • Oracle MySQL Server 5.6

Support for Service Packs:

  • Microsoft SQL Server 2012, Service Pack 4

  • Microsoft SQL Server 2014, Service Pack 2 & 3

  • Microsoft SQL Server 2016, Service Pack 1 & 2

Certificate service

Net iD Portal requires a certificate service to manage certificates (enrollment, revocation). Net iD Portal supports the following certificate services:

  • Microsoft Certificate Authority service (MSCA).

  • Primekey Enterprise Java Beans Certificate Authority (EJBCA).

The following platforms can be used as a certificate server (Microsoft Certificate Authority service is included in all platforms except for Linux editions):

  • Microsoft Windows Server 2012 R2, Standard (MSCA)

  • Microsoft Windows Server 2016, Standard (MSCA)

  • Microsoft Windows Server 2016, Datacenter (MSCA)

  • Microsoft Windows Server 2019, Standard (MSCA)

  • Microsoft Windows Server 2019, Datacenter (MSCA)

  • Linux SUSE (for EJBCA)

  • Linux Ubuntu 18.04 LTS (for EJBCA)

  • Linux Ubuntu 18.10 (for EJBCA)